## Glade Parameter Glade Parameter — Parameters set in the catalog retrievable from the plugin. |

## Functions

GladeParameter * | glade_parameter_new ()
GladeParameter * | glade_parameter_clone ()
void | glade_parameter_free ()
void | glade_parameter_get_float ()
void | glade_parameter_get_integer ()
void | glade_parameter_get_boolean ()
void | glade_parameter_get_string ()
GList * | glade_parameter_list_new_from_node ()

## Types and Values

struct | GladeParameter

## Description

Parameters can be set in your catalog file that may determine how your plugin will treat certain widget classes.

## Functions

### glade_parameter_new ()

    GladeParameter *
    glade_parameter_new (void);

#### Returns

a new GladeParameter

### glade_parameter_clone ()

    GladeParameter *
    glade_parameter_clone (GladeParameter *parameter);

#### Parameters

parameter | a GladeParameter |

#### Returns

a new GladeParameter cloned from `parameter`

### glade_parameter_free ()

    void
    glade_parameter_free (GladeParameter *parameter);

Frees `parameter` and its associated memory.

#### Parameters

parameter | a GladeParameter |

### glade_parameter_get_float ()

    void
    glade_parameter_get_float (GList *parameters,
                               const gchar *key,
                               gfloat *value);

Searches through `parameters` looking for a GladeParameter named `key` . If found, it stores a gfloat representation of its value into `value` .

#### Parameters

parameters | a GList of GladeParameters |
key | a string containing the parameter name |
value | a pointer to a gfloat |

### glade_parameter_get_integer ()

    void
    glade_parameter_get_integer (GList *parameters,
                                 const gchar *key,
                                 gint *value);

Searches through `parameters` looking for a GladeParameter named `key` . If found, it stores a gint representation of its value into `value` .

#### Parameters

parameters | a GList of GladeParameters |
key | a string containing the parameter name |
value | a pointer to a gint |

### glade_parameter_get_boolean ()

    void
    glade_parameter_get_boolean (GList *parameters,
                                 const gchar *key,
                                 gboolean *value);

Searches through `parameters` looking for a GladeParameter named `key` . If found, it stores a gboolean representation of its value into `value` .

#### Parameters

parameters | a GList of GladeParameters |
key | a string containing the parameter name |
value | a pointer to a gboolean |

### glade_parameter_get_string ()

    void
    glade_parameter_get_string (GList *parameters,
                                const gchar *key,
                                gchar **value);

Searches through `parameters` looking for a GladeParameter named `key` . If found, it stores a newly copied string representation of its value into `value` .

#### Parameters

parameters | a GList of GladeParameters |
key | a string containing the parameter name |
value | a pointer to an string |

### glade_parameter_list_new_from_node ()

    GList *
    glade_parameter_list_new_from_node (GList *list,
                                        GladeXmlNode *node);

TODO: write me

#### Parameters

list | a GList node |
node | a GladeXmlNode |

## Types and Values

### struct GladeParameter

    struct GladeParameter {
    	gchar *key;   /* The name of the parameter */
    	gchar *value; /* The textual representation of the parameter */
    };